Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
eZImageManager Class Reference
Image conversion and scaling

Manages image operations using delegates to do the work. More...

## Public Member Functions
| __construct ()
| setSupportedFormats ( $mimeList)
| appendSupportedFormat ( $mimeName)
| appendImageHandler ( $handler)
| isFilterSupported ( $filterName)
| aliasList ()
| hasAlias ( $aliasName)
| alias ( $aliasName)
| appendImageAlias ( $alias)
| createImageAliasKey ( $alias)
| isImageAliasValid ( $alias)
| isImageTimestampValid ( $timestamp)
| readImageAliasesFromINI ( $iniFile=false)
| readSupportedFormatsFromINI ( $iniFile=false)
| hasMIMETypeSetting ( $mimeData)
| mimeTypeSetting ( $mimeData)
| mimeTypeOverride ( $mimeData)
| mimeTypeFilters ( $mimeData)
| isFilterAllowed ( $filterName, $mimeData)
| appendQualityValue ( $mimeType, $qualityValue)
| qualityValue ( $mimeType)
| setQualityValueOverride ( $mimeType, $qualityValue)
| resetQualityValueOverride ()
| appendMIMETypeSetting ( $settings)
| readMIMETypeSettingsFromINI ( $iniFile=false)
| readMIMETypeQualitySettingFromINI ( $iniFile=false)
| readConversionRuleSettingsFromINI ( $iniFile=false)
| readINISettings ()
| appendConversionRule ( $conversionRule)
| conversionRules ()
| readMIMETypeSettingFromINI ( $mimeGroup, $iniFile=false)
| readImageHandlersFromINI ( $iniFile=false)
| factoryFor ( $factoryName, $iniFile=false, $converterName=false)
| createFilterDataFromINI ( $filterText)
| createAliasFromINI ( $iniGroup)
| createImageAlias ( $aliasName, &$existingAliasList, $parameters=array())
| convert ( $sourceMimeData, &$destinationMimeData, $aliasName=false, $parameters=array())
| imageAliasInfo ( $mimeData, $aliasName, $isAliasNew=false)
| temporaryImageDirPath ()

## Static Public Member Functions
static | wildcardToRegexp ( $wildcard, $separatorCharacter=false)
static | analyzeImage (&$mimeData, $parameters=array())
static | instance ()
static | factory ()
static | resetInstance ()

## Public Attributes
| $ImageHandlers
| $OutputMIME
| $OutputMIMEMap
| $Rules
| $DefaultRule
| $RuleMap
| $MIMETypes
| $Types = array()
| $SupportedFormats
| $SupportedMIMEMap
| $AliasList
| $Factories
| $ImageFilters
| $MIMETypeSettings
| $MIMETypeSettingsMap
| $QualityValues
| $QualityValueMap
| $QualityValueMapOverride
| $TemporaryImageDirPath
| $ConversionRules

## Static Protected Attributes
static | $instance
static | $factory = false

## Detailed Description

Manages image operations using delegates to do the work.

The manager allows for transparent conversion of one image format to another. The conversion may be done in one step if the required conversion type is available or it may build a tree of conversion rules which is needed to reach the desired end format.

It's also possible to run operations on images. It's up to each conversion rule to report whether or not the operation is supported, the manager will then distribute the operations on the available rules which can handle them. Examples of operations are scaling and grayscale.

The scale operation is special and is known to the manager directly while the other operations must be recognized by the converter.

In determing what image rules to be used the manager must first know which output types are allowed, this is set with setOutputTypes(). It takes an array of mimetypes which are allowed.

The manager must then be fed conversion rules, these tell which conversion type is used for converting from the source mimetype to the destination mimetype. The rules are set with setRules() which accepts an array of rules and a default rule as paremeter. The default rule is used when no other mimetype match is found. To create a rule you should use the createRule() function, it takes the source and destination mimetype as well as the conversion type name. Optionally it can specified whether the rule can scale or run operations.

The last thing that needs to be done is to specify the mimetypes. The manager uses mimetypes internally to know what type of image it's working on. To go from a filename to a mimetype a set of matches must be setup. The matches are created with createMIMEType() which takes the mimetype, regex filename match and suffix as parameter. The mimetypes are then registered with setMIMETypes().

See www.iana.org for information on MIME types.

Now the manager is ready and you can convert images with convert().

Example:

$img = eZImageManager::instance();
$img->registerType( "convert", new eZImageShell( '', "convert", array(), array(),
array( eZImageShell::createRule( "-geometry %wx%h>", // Scale rule
"modify/scale" ),
eZImageShell::createRule( "-colorspace GRAY", // Grayscale rule
"colorspace/gray" ) ) ) ); // Register shell program convert
$img->registerType( "gd", new eZImageGD() ); // Register PHP converter GD
$img->setOutputTypes( array( "image/jpeg",
"image/png" ) ); // We only want jpeg and png, gif is not recommended due to licencing issues.
$rules = array( $img->createRule( "image/jpeg", "image/jpeg", "GD", true, false ), // Required for scaling jpeg images
$img->createRule( "image/gif", "image/png", "convert", true, false ) ); // Convert GIF to png
$img->setRules( $rules, $img->createRule( "*", "image/png", "convert", true, false ) ); // Convert all other images to PNG with convert
$mime_rules = array( $img->createMIMEType( "image/jpeg", "\.jpe?g$", "jpg" ),
$img->createMIMEType( "image/png", "\.png$", "png" ),
$img->createMIMEType( "image/gif", "\.gif$", "gif" ) );
$img->setMIMETypes( $mime_rules ); // Register mimetypes
$img1 = $img->convert( "image1.gif", "cache/" ); // Convert GIF and places it in cache dir
$img1 = $img->convert( "image1.png", "cache/", // Scale PNG image and place in cache dir
array( "width" => 200, "height" => 200 ), // Scale parameter
array( array( "rule-type" => "colorspace/gray" ) ) ); // Gray scale conversion
eZImageManager\instance
static instance()
Definition: ezimagemanager.php:1383

Definition at line 84 of file ezimagemanager.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZImageManager::__construct | ( |  | ) |

Initializes the manager by registering a application/octet-stream mimetype which is applied for all unknown files.

Definition at line 89 of file ezimagemanager.php.

References eZSys\cacheDirectory().

## Member Function Documentation

## ◆ alias()

eZImageManager::alias | ( |  | $aliasName | ) |

Returns
  the definition for the Image Alias named $aliasName.

Definition at line 201 of file ezimagemanager.php.

References aliasList().

Referenced by createImageAliasKey().

## ◆ aliasList()

eZImageManager::aliasList | ( |  | ) |

Returns a list of defined image aliases in the image system. Each entry in the list is an associative array with the following keys:

- name - The name of the alias
- reference - The name of the alias it refers to or `false` if no reference
- mime_type - Controls which MIME-Type the alias will be in, or `false` if not defined.
- filters - An array with filters which applies to this alias
- alias_key - The CRC key for this alias, it is created from the current values of the alias and will change each time the alias values changes

Definition at line 173 of file ezimagemanager.php.

References $AliasList, and createImageAliasKey().

Referenced by alias(), convert(), createImageAlias(), hasAlias(), and imageAliasInfo().

## ◆ analyzeImage()

static eZImageManager::analyzeImage | ( | & | $mimeData,
|  |  | $parameters = `array()`
| ) |  |
| static

Analyzes the image in the MIME structure $mimeData and fills in extra information if found.

Returns
  `true` if the image was succesfully analyzed, `false` otherwise.

Note
  It will return `true` if there is no analyzer for the image type.

Definition at line 1018 of file ezimagemanager.php.

References eZImageAnalyzer\createForMIME().

Referenced by convert(), and imageAliasInfo().

## ◆ appendConversionRule()

eZImageManager::appendConversionRule | ( |  | $conversionRule | ) |

Appends a new global conversion rule.

Definition at line 612 of file ezimagemanager.php.

Referenced by readConversionRuleSettingsFromINI().

## ◆ appendImageAlias()

eZImageManager::appendImageAlias | ( |  | $alias | ) |

Appends the image alias $alias to the list of defined aliases.

Definition at line 212 of file ezimagemanager.php.

References createImageAliasKey().

Referenced by readImageAliasesFromINI().

## ◆ appendImageHandler()

eZImageManager::appendImageHandler | ( |  | $handler | ) |

Appends the image handler $handler to the list of known handlers in the image system. Onces it is added the supported image filters for that handler is extracted.

Note
  If the handler is not available (isAvailable()) it will not be added.

Definition at line 143 of file ezimagemanager.php.

Referenced by readImageHandlersFromINI().

## ◆ appendMIMETypeSetting()

eZImageManager::appendMIMETypeSetting | ( |  | $settings | ) |

Appends the MIME-Type setting $settings to the image system.

Definition at line 518 of file ezimagemanager.php.

Referenced by readMIMETypeSettingsFromINI().

## ◆ appendQualityValue()

eZImageManager::appendQualityValue | ( |  | $mimeType,
|  |  | $qualityValue
| ) |  |

Binds the quality value $qualityValue to the MIME-Type $mimeType.

Definition at line 477 of file ezimagemanager.php.

Referenced by readMIMETypeQualitySettingFromINI().

## ◆ appendSupportedFormat()

eZImageManager::appendSupportedFormat | ( |  | $mimeName | ) |

Sets which MIME-Types are allowed to use for destination format, this is an array of MIME-Type names. e.g.

$manager->setOutputTypes( array( 'image/jpeg', 'image/gif' ) );

Definition at line 131 of file ezimagemanager.php.

Referenced by readSupportedFormatsFromINI().

## ◆ conversionRules()

eZImageManager::conversionRules | ( |  | ) |

Returns
  The global conversion rules.

Definition at line 620 of file ezimagemanager.php.

References $ConversionRules.

## ◆ convert()

eZImageManager::convert | ( |  | $sourceMimeData,
|  | & | $destinationMimeData,
|  |  | $aliasName = `false`,
|  |  | $parameters = `array()`
| ) |  |

Converts the source image $sourceMimeData into the destination image $destinationMimeData.

Parameters

  mixed | $sourceMimeData | Source image, either a mimedata array or the source image path
  mixed | $destinationMimeData | Either a mimedata array or the target image path
  mixed | $aliasName | Target alias (small, medium, large...)
  array | $parameters | Optional parameters. Known ones so far: (basename)

Returns
  bool

Definition at line 1053 of file ezimagemanager.php.

References $ImageHandlers, $SupportedMIMEMap, aliasList(), analyzeImage(), eZMimeType\changeDirectoryPath(), eZMimeType\changeFileData(), eZMimeType\changeMIMEType(), eZFileHandler\copy(), eZMimeType\findByFileContents(), eZClusterFileHandler\instance(), isFilterAllowed(), isFilterSupported(), eZFileHandler\linkCopy(), mimeTypeFilters(), mimeTypeOverride(), eZDir\mkdir(), resetQualityValueOverride(), setQualityValueOverride(), temporaryImageDirPath(), eZDebug\writeError(), and eZDebug\writeWarning().

Referenced by createImageAlias().

## ◆ createAliasFromINI()

eZImageManager::createAliasFromINI | ( |  | $iniGroup | ) |

Parses the INI group $iniGroup and creates an Image Alias from it.

Returns
  the Image Alias structure.

Definition at line 761 of file ezimagemanager.php.

References createFilterDataFromINI(), and eZDebug\writeError().

Referenced by readImageAliasesFromINI().

## ◆ createFilterDataFromINI()

eZImageManager::createFilterDataFromINI | ( |  | $filterText | ) |

Parses the filter text $filterText which is taken from an INI file and returns a filter data structure for it.

Definition at line 741 of file ezimagemanager.php.

Referenced by createAliasFromINI(), and readMIMETypeSettingFromINI().

## ◆ createImageAlias()

eZImageManager::createImageAlias | ( |  | $aliasName,
|  | & | $existingAliasList,
|  |  | $parameters = `array()`
| ) |  |

Creates the image alias $aliasName if it's not already part of the existing aliases

Parameters

  string | $aliasName | Name of the alias to create
  array | $existingAliasList | Reference to the current alias list. The created alias will be added to the list.
  array | $parameters | Optional array that can be used to specify the image's basename

Returns
  bool true if the alias was created, false if it wasn't

at first, destinationMimeData (mimedata for the alias we're generating) is the same as sourceMimeData. It will evolve as alias generation goes on

Concurrency protection startCacheGeneration will return true if the file is not already being generated by another process. If it is, it will return the maximum time before the generating process enters generation timeout

At this point, we consider that the image exists and destinationMimeData has been filled with the proper information

If we were locked during alias generation, we need to recreate this structure so that the image can actually be used, but ONLY if it was the same alias... sounds like a HUGE mess.

Can we reload the alias list somehow ?

we may want to fetch a unique name here, since we won't use the data for anything else

Definition at line 810 of file ezimagemanager.php.

References aliasList(), eZMimeType\changeBasename(), convert(), eZMimeType\findByFileContents(), hasAlias(), eZClusterFileHandler\instance(), eZDebug\writeDebug(), eZDebug\writeError(), and eZDebug\writeWarning().

## ◆ createImageAliasKey()

eZImageManager::createImageAliasKey | ( |  | $alias | ) |

Creates a unique key for the image alias and returns it.

Note
  The key is an MD5 of the alias settings and is used to determine if alias settings has changed.

Definition at line 224 of file ezimagemanager.php.

References alias(), and eZSys\ezcrc32().

Referenced by aliasList(), and appendImageAlias().

## ◆ factory()

static eZImageManager::factory | ( |  | ) |
| static

Returns a shared instance of the eZImageManager class and makes it ready for use. As in calls self::readINISettings() and eZImageAnalyzer::readAnalyzerSettingsFromINI()

Since
  4.3

Returns
  eZImageManager

Definition at line 1399 of file ezimagemanager.php.

References instance(), and eZImageAnalyzer\readAnalyzerSettingsFromINI().

Referenced by eZImageAliasHandler\aliasList(), eZImageAliasHandler\attributes(), eZPDFTable\callImage(), eZImageAliasHandler\generateXMLData(), eZImageAliasHandler\hasAttribute(), eZImageAliasHandler\imageAlias(), eZImageAliasHandler\initialize(), and eZImageAliasHandler\recreateDOMTree().

## ◆ factoryFor()

eZImageManager::factoryFor | ( |  | $factoryName,
|  |  | $iniFile = `false`,
|  |  | $converterName = `false`
| ) |  |

Finds the image handler factory with the name $factoryName and returns it.

Parameters

  $iniFile | The INI file to read from or if `false` use 'image.ini'

Definition at line 713 of file ezimagemanager.php.

References $factory, and eZExtension\getHandlerClass().

Referenced by readImageHandlersFromINI().

## ◆ hasAlias()

eZImageManager::hasAlias | ( |  | $aliasName | ) |

Returns
  `true` if the image alias $aliasName exists.

Definition at line 192 of file ezimagemanager.php.

References aliasList().

Referenced by createImageAlias().

## ◆ hasMIMETypeSetting()

eZImageManager::hasMIMETypeSetting | ( |  | $mimeData | ) |

Returns
  `true` if the MIME-Type defined in $mimeData exists in the image system.

Definition at line 353 of file ezimagemanager.php.

Referenced by isFilterAllowed(), mimeTypeFilters(), and mimeTypeOverride().

## ◆ imageAliasInfo()

eZImageManager::imageAliasInfo | ( |  | $mimeData,
|  |  | $aliasName,
|  |  | $isAliasNew = `false`
| ) |  |

Image information for $aliasName. This is the information which normally would be provided during generation of aliasName. This so that requests not holding the lock will provide meaningful information.

Parameters

  mixed | $mimeData |
  string | $aliasName |

Returns
  array

Definition at line 1341 of file ezimagemanager.php.

References aliasList(), analyzeImage(), eZMimeType\changeMIMEType(), and eZMimeType\findByFileContents().

## ◆ instance()

static eZImageManager::instance | ( |  | ) |
| static

Returns a shared instance of the eZImageManager class. Note: In most cases you'd want to use self:factory() instead.

Returns
  eZImageManager

Definition at line 1383 of file ezimagemanager.php.

References $instance.

Referenced by factory().

## ◆ isFilterAllowed()

eZImageManager::isFilterAllowed | ( |  | $filterName,
|  |  | $mimeData
| ) |  |

Returns
  `true` if the filtername $filtername is allowed to be used on the type defined in $mimeData.

Definition at line 438 of file ezimagemanager.php.

References hasMIMETypeSetting(), mimeTypeSetting(), and wildcardToRegexp().

Referenced by convert().

## ◆ isFilterSupported()

eZImageManager::isFilterSupported | ( |  | $filterName | ) |

Returns
  `true` if the filtername $filtername is supported by any of the image handlers.

Definition at line 158 of file ezimagemanager.php.

Referenced by convert().

## ◆ isImageAliasValid()

eZImageManager::isImageAliasValid | ( |  | $alias | ) |

Returns
  `true` if the Image Alias $alias is valid for use. This is tested by checking the key against the key for current Image Alias settings.

Definition at line 252 of file ezimagemanager.php.

References isImageTimestampValid().

## ◆ isImageTimestampValid()

eZImageManager::isImageTimestampValid | ( |  | $timestamp | ) |

Returns
  `true` if the timestamp $timestamp is newer than the image alias expiry timestamp. The image alias expiry timestamp will be set whenever the image aliases must be recreated.

Note
  Normally the expiry timestamp is not set.

Definition at line 277 of file ezimagemanager.php.

Referenced by isImageAliasValid().

## ◆ mimeTypeFilters()

eZImageManager::mimeTypeFilters | ( |  | $mimeData | ) |

Returns
  An array with extra filters for the MIME-Type defined in $mimeData or `false` if no filters.

Definition at line 422 of file ezimagemanager.php.

References hasMIMETypeSetting(), and mimeTypeSetting().

Referenced by convert().

## ◆ mimeTypeOverride()

eZImageManager::mimeTypeOverride | ( |  | $mimeData | ) |

Returns
  The override MIME-Type for the MIME structure $mimeData or `false` if no override.

Definition at line 405 of file ezimagemanager.php.

References hasMIMETypeSetting(), and mimeTypeSetting().

Referenced by convert().

## ◆ mimeTypeSetting()

eZImageManager::mimeTypeSetting | ( |  | $mimeData | ) |

Returns
  The setting for the MIME-Type defined in $mimeData.

Definition at line 361 of file ezimagemanager.php.

Referenced by isFilterAllowed(), mimeTypeFilters(), and mimeTypeOverride().

## ◆ qualityValue()

eZImageManager::qualityValue | ( |  | $mimeType | ) |

Returns
  the quality value for MIME-Type $mimeType or `false` if none exists.

Definition at line 488 of file ezimagemanager.php.

## ◆ readConversionRuleSettingsFromINI()

eZImageManager::readConversionRuleSettingsFromINI | ( |  | $iniFile = `false` | ) |

Reads in global conversion rules from INI file.

Definition at line 572 of file ezimagemanager.php.

References appendConversionRule().

Referenced by readINISettings().

## ◆ readImageAliasesFromINI()

eZImageManager::readImageAliasesFromINI | ( |  | $iniFile = `false` | ) |

Reads all image aliases from the INI file 'image.ini' and appends them to the image system.

Parameters

  $iniFile | The INI file to read from or if `false` use 'image.ini'

Definition at line 293 of file ezimagemanager.php.

References appendImageAlias(), createAliasFromINI(), and eZDebug\writeWarning().

Referenced by readINISettings().

## ◆ readImageHandlersFromINI()

eZImageManager::readImageHandlersFromINI | ( |  | $iniFile = `false` | ) |

Reads all settings for image handlers from the INI file 'image.ini' and appends them to the image system.

Parameters

  $iniFile | The INI file to read from or if `false` use 'image.ini'

Definition at line 674 of file ezimagemanager.php.

References $factory, appendImageHandler(), factoryFor(), and eZDebug\writeWarning().

Referenced by readINISettings().

## ◆ readINISettings()

eZImageManager::readINISettings | ( |  | ) |

Will read in all required INI settings.

Definition at line 599 of file ezimagemanager.php.

References readConversionRuleSettingsFromINI(), readImageAliasesFromINI(), readImageHandlersFromINI(), readMIMETypeQualitySettingFromINI(), readMIMETypeSettingsFromINI(), and readSupportedFormatsFromINI().

## ◆ readMIMETypeQualitySettingFromINI()

eZImageManager::readMIMETypeQualitySettingFromINI | ( |  | $iniFile = `false` | ) |

Reads MIME-Type quality settings and appends them.

Definition at line 550 of file ezimagemanager.php.

References appendQualityValue().

Referenced by readINISettings().

## ◆ readMIMETypeSettingFromINI()

eZImageManager::readMIMETypeSettingFromINI | ( |  | $mimeGroup,
|  |  | $iniFile = `false`
| ) |  |

Reads a single MIME-Type setting from the INI file 'image.ini' and appends them to the image system.

Parameters

  $mimeGroup | Which INI group to read settings from.
  $iniFile | The INI file to read from or if `false` use 'image.ini'

Returns
  The settings that were read.

Definition at line 632 of file ezimagemanager.php.

References createFilterDataFromINI().

Referenced by readMIMETypeSettingsFromINI().

## ◆ readMIMETypeSettingsFromINI()

eZImageManager::readMIMETypeSettingsFromINI | ( |  | $iniFile = `false` | ) |

Reads all MIME-Type settings from the INI file 'image.ini' and appends them to the image system.

Parameters

  $iniFile | The INI file to read from or if `false` use 'image.ini'

Definition at line 531 of file ezimagemanager.php.

References appendMIMETypeSetting(), and readMIMETypeSettingFromINI().

Referenced by readINISettings().

## ◆ readSupportedFormatsFromINI()

eZImageManager::readSupportedFormatsFromINI | ( |  | $iniFile = `false` | ) |

Reads all supported image formats from the INI file 'image.ini' and appends them to the image system.

Parameters

  $iniFile | The INI file to read from or if `false` use 'image.ini'

Definition at line 336 of file ezimagemanager.php.

References appendSupportedFormat().

Referenced by readINISettings().

## ◆ resetInstance()

static eZImageManager::resetInstance | ( |  | ) |
| static

Reset a shared instance of the eZImageManager class and factory variable. As used by eZImageManager::instance() and eZImageManager::factory()

Since
  4.3

Definition at line 1416 of file ezimagemanager.php.

## ◆ resetQualityValueOverride()

eZImageManager::resetQualityValueOverride | ( |  | ) |

Reset the quality value override map if there is no alias or alias quality override

Definition at line 510 of file ezimagemanager.php.

Referenced by convert().

## ◆ setQualityValueOverride()

eZImageManager::setQualityValueOverride | ( |  | $mimeType,
|  |  | $qualityValue
| ) |  |

Sets a quality value override $qualityValue to the MIME-Type $mimeType in the context of an alias.

Definition at line 500 of file ezimagemanager.php.

Referenced by convert().

## ◆ setSupportedFormats()

eZImageManager::setSupportedFormats | ( |  | $mimeList | ) |

Sets which MIME-Types are allowed to use for destination format, this is an array of MIME-Type names. e.g.

$manager->setOutputTypes( array( 'image/jpeg', 'image/gif' ) );

Definition at line 114 of file ezimagemanager.php.

## ◆ temporaryImageDirPath()

eZImageManager::temporaryImageDirPath | ( |  | ) |

Returns
  the path for temporary images.

Note
  The default value uses the temporary directory setting from site.ini.

Definition at line 1372 of file ezimagemanager.php.

References $TemporaryImageDirPath.

Referenced by convert().

## ◆ wildcardToRegexp()

static eZImageManager::wildcardToRegexp | ( |  | $wildcard,
|  |  | $separatorCharacter = `false`
| ) |  |
| static

Calls eZImageHandler::wildcardToRegexp() to generate a regular expression out of the wilcard and return it.

Definition at line 397 of file ezimagemanager.php.

References eZImageHandler\wildcardToRegexp().

Referenced by isFilterAllowed().

## Member Data Documentation

## ◆ $AliasList

eZImageManager::$AliasList

Definition at line 1434 of file ezimagemanager.php.

Referenced by aliasList().

## ◆ $ConversionRules

eZImageManager::$ConversionRules

Definition at line 1443 of file ezimagemanager.php.

Referenced by conversionRules().

## ◆ $DefaultRule

eZImageManager::$DefaultRule

Definition at line 1428 of file ezimagemanager.php.

## ◆ $Factories

eZImageManager::$Factories

Definition at line 1435 of file ezimagemanager.php.

## ◆ $factory

eZImageManager::$factory = false
| static protected

Definition at line 1460 of file ezimagemanager.php.

Referenced by factoryFor(), and readImageHandlersFromINI().

## ◆ $ImageFilters

eZImageManager::$ImageFilters

Definition at line 1436 of file ezimagemanager.php.

## ◆ $ImageHandlers

eZImageManager::$ImageHandlers

Definition at line 1424 of file ezimagemanager.php.

Referenced by convert().

## ◆ $instance

eZImageManager::$instance
| static protected

Definition at line 1452 of file ezimagemanager.php.

Referenced by instance().

## ◆ $MIMETypes

eZImageManager::$MIMETypes

Definition at line 1430 of file ezimagemanager.php.

## ◆ $MIMETypeSettings

eZImageManager::$MIMETypeSettings

Definition at line 1437 of file ezimagemanager.php.

## ◆ $MIMETypeSettingsMap

eZImageManager::$MIMETypeSettingsMap

Definition at line 1438 of file ezimagemanager.php.

## ◆ $OutputMIME

eZImageManager::$OutputMIME

Definition at line 1425 of file ezimagemanager.php.

## ◆ $OutputMIMEMap

eZImageManager::$OutputMIMEMap

Definition at line 1426 of file ezimagemanager.php.

## ◆ $QualityValueMap

eZImageManager::$QualityValueMap

Definition at line 1440 of file ezimagemanager.php.

## ◆ $QualityValueMapOverride

eZImageManager::$QualityValueMapOverride

Definition at line 1441 of file ezimagemanager.php.

## ◆ $QualityValues

eZImageManager::$QualityValues

Definition at line 1439 of file ezimagemanager.php.

## ◆ $RuleMap

eZImageManager::$RuleMap

Definition at line 1429 of file ezimagemanager.php.

## ◆ $Rules

eZImageManager::$Rules

Definition at line 1427 of file ezimagemanager.php.

## ◆ $SupportedFormats

eZImageManager::$SupportedFormats

Definition at line 1432 of file ezimagemanager.php.

## ◆ $SupportedMIMEMap

eZImageManager::$SupportedMIMEMap

Definition at line 1433 of file ezimagemanager.php.

Referenced by convert().

## ◆ $TemporaryImageDirPath

eZImageManager::$TemporaryImageDirPath

Definition at line 1442 of file ezimagemanager.php.

Referenced by temporaryImageDirPath().

## ◆ $Types

eZImageManager::$Types = array()

Definition at line 1431 of file ezimagemanager.php.

The documentation for this class was generated from the following file:

- ezimagemanager.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.